Bug 1674576 - DiffusionKurtosisFit: FTBFS in Fedora rawhide/f30
Summary: DiffusionKurtosisFit: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED DUPLICATE of bug 1735413
Alias: None
Product: Fedora
Classification: Fedora
Component: DiffusionKurtosisFit
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1674578
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 16:25 UTC by Fedora Release Engineering
Modified: 2019-08-01 16:30 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-01 16:30:00 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 16:25 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 16:25 UTC, Fedora Release Engineering
no flags Details
state.log (499 bytes, text/plain)
2019-02-11 16:25 UTC, Fedora Release Engineering
no flags Details


Links
System ID Priority Status Summary Last Updated
Github clwyatt DiffusionKurtosisFit issues 2 None None None 2019-07-21 10:59:26 UTC

Description Fedora Release Engineering 2019-02-11 16:25:15 UTC
DiffusionKurtosisFit failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32359693


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix DiffusionKurtosisFit at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
DiffusionKurtosisFit will be orphaned. Before branching of Fedora 31,
DiffusionKurtosisFit will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 16:25:17 UTC
Created attachment 1529116 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 16:25:18 UTC
Created attachment 1529117 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 16:25:20 UTC
Created attachment 1529118 [details]
state.log

Comment 4 Ankur Sinha (FranciscoD) 2019-07-21 10:11:28 UTC
Unable to find libminc:

+ /usr/bin/cmake -DCMAKE_C_FLAGS_RELEASE:STRING=-DNDEBUG -DCMAKE_CXX_FLAGS_RELEASE:STRING=-DNDEBUG -DCMAKE_Fortran_FLAGS_RELEASE:STRING=-DNDEBUG -DCMAKE_VERBOSE_MAKEFILE:BOOL=ON -DCMAKE_INSTALL_PREFIX:PATH=/usr -DINCLUDE_INSTALL_DIR:PATH=/usr/include -DLIB_INSTALL_DIR:PATH=/usr/lib64 -DSYSCONF_INSTALL_DIR:PATH=/etc -DSHARE_INSTALL_PREFIX:PATH=/usr/share -DLIB_SUFFIX=64 -DBUILD_SHARED_LIBS:BOOL=ON ../
BUILDSTDERR: CMake Error at /usr/lib64/cmake/InsightToolkit/Modules/ITKMINC.cmake:15 (find_package):
BUILDSTDERR:   By not providing "FindLIBMINC.cmake" in CMAKE_MODULE_PATH this project has
BUILDSTDERR:   asked CMake to find a package configuration file provided by "LIBMINC", but
BUILDSTDERR:   CMake did not find one.
BUILDSTDERR:   Could not find a package configuration file provided by "LIBMINC" with any
BUILDSTDERR:   of the following names:
BUILDSTDERR:     LIBMINCConfig.cmake
BUILDSTDERR:     libminc-config.cmake
BUILDSTDERR:   Add the installation prefix of "LIBMINC" to CMAKE_PREFIX_PATH or set
BUILDSTDERR:   "LIBMINC_DIR" to a directory containing one of the above files.  If
BUILDSTDERR:   "LIBMINC" provides a separate development package or SDK, be sure it has
BUILDSTDERR:   been installed.
BUILDSTDERR: Call Stack (most recent call first):
BUILDSTDERR:   /usr/lib64/cmake/InsightToolkit/ITKModuleAPI.cmake:71 (include)
BUILDSTDERR:   /usr/lib64/cmake/InsightToolkit/ITKModuleAPI.cmake:26 (itk_module_load)
BUILDSTDERR:   /usr/lib64/cmake/InsightToolkit/ITKModuleAPI.cmake:124 (_itk_module_config_recurse)
BUILDSTDERR:   /usr/lib64/cmake/InsightToolkit/ITKConfig.cmake:82 (itk_module_config)
BUILDSTDERR:   CMakeLists.txt:13 (FIND_PACKAGE)

Comment 5 Ankur Sinha (FranciscoD) 2019-07-21 10:59:27 UTC
Fixed that, but it seems it won't build with the new VXL version. Upstream here has not made a commit in years now, so this may be inactive. Filed a ticket nevertheless: https://github.com/clwyatt/DiffusionKurtosisFit/issues/2

Comment 6 Ankur Sinha (FranciscoD) 2019-08-01 16:30:00 UTC

*** This bug has been marked as a duplicate of bug 1735413 ***


Note You need to log in before you can comment on or make changes to this bug.